#
# spec file for package python-gprof2dot
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2014 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-gprof2dot
Version:        2015.12.1
Release:        1.2
License:        LGPL
Summary:        Generate a dot graph from the output of several profilers
Url:            https://code.google.com/p/jrfonseca/wiki/Gprof2Dot
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/g/gprof2dot/gprof2dot-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Recommends:     graphviz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
gprof2dot.py is a Python script to convert the output from many
        profilers into a dot graph.

%prep
%setup -q -n gprof2dot-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/gprof2dot
%{python_sitelib}/*

%changelog
* Tue May  3 2016 foss@grueninger.de
- update to version 2015.12.01
  no changelog available
* Thu Jun 26 2014 hpj@urpla.net
- initial build: 2014.03.12
